Bug 1130323 - [RFE] Implement an oo-backup command
Summary: [RFE] Implement an oo-backup command
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Mike Barrett
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 21:10 UTC by Eric Rich
Modified: 2018-12-09 18:21 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-02 21:57:09 UTC


Attachments (Terms of Use)

Description Eric Rich 2014-08-14 21:10:59 UTC
Description of problem:

Currently there is no good way to restore an application that has been deleted. 

Version-Release number of selected component (if applicable): All

How reproducible: Very

Steps to Reproduce:
1. Create an application 
2. Backup a node
3. Delete the application

Actual results:

What is the restore process? 

Expected results:

There should be a simple way for an administrator to backup applications (like rhc snapshot) and restore an application that has been deleted with rhc app-delete or oo-admin-ctl-app.

Additional info:

Comment 1 Eric Rich 2014-08-14 21:14:13 UTC
The way I see this working is oo-backup is an admin broker script that runs periodically on the broker, and it works to take shapshots of user applications and store them and extra meta-data to a mounted partition or centralized storage solution. From there an oo-restore-backup script could be run to restore an application for a user.


Note You need to log in before you can comment on or make changes to this bug.